//========================================================================================
//
//	File:				FWPrtDef.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWPRTDEF_H
#define FWPRTDEF_H

//========================================================================================
//	Storage kind
//========================================================================================

enum FW_EStorageKinds
{
	FW_kClipboardStorage   	=	0x0001,
	FW_kDragAndDropStorage	=	0x0002,
	FW_kLinkStorage			=	0x0004,
	FW_kPartStorage			=	0x0008,
	FW_kFileStorage			=	0x0010
};

//========================================================================================
//	Internalize result
//========================================================================================

enum FW_EInternalizeResult
{
	FW_kInternalizeFailed,
	FW_kInternalizeContent,
	FW_kInternalizeFrame,
	FW_kInternalizePart
};

#endif

