//========================================================================================
//
//	File:				FWContng.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWFrameW.hpp"

#ifndef FWCONTNG_H
#include "FWContng.h"
#endif

#ifndef FWDEBUG_H
#include "FWDebug.h"
#endif

//========================================================================================
// RunTime Info
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment fw_embedding2
#endif

//========================================================================================
//	class FW_CEmbeddingContent
//========================================================================================

//----------------------------------------------------------------------------------------
//	FW_CEmbeddingContent constructor
//----------------------------------------------------------------------------------------
FW_CEmbeddingContent::FW_CEmbeddingContent(Environment* ev, FW_CPart* part) :
	FW_CContent(ev, part)
{
}

//----------------------------------------------------------------------------------------
//	FW_CEmbeddingContent destructor
//----------------------------------------------------------------------------------------

FW_CEmbeddingContent::~FW_CEmbeddingContent()
{
}

//----------------------------------------------------------------------------------------
//	FW_CEmbeddingContent::SingleEmbeddedFrameInternalized
//----------------------------------------------------------------------------------------

void FW_CEmbeddingContent::SingleEmbeddedFrameInternalized(Environment* ev,
														FW_CEmbeddingFrame* scopeFrame,
														ODPart* odEmbeddedPart, 
														ODFrame* odEmbeddedFrame,
														ODShape* suggestedShape,
														ODTypeToken viewType)
{
FW_UNUSED(ev);
FW_UNUSED(scopeFrame);
FW_UNUSED(odEmbeddedPart);
FW_UNUSED(odEmbeddedFrame);
FW_UNUSED(suggestedShape);
FW_UNUSED(viewType);
	FW_DEBUG_MESSAGE("You should have overridden FW_CEmbeddingContent::SingleEmbeddedFrameInternalized");
}


