//========================================================================================
//
//	File:				FWContnt.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWFrameW.hpp"

#ifndef FWCONTNT_H
#include "FWContnt.h"
#endif

#ifndef FWDEBUG_H
#include "FWDebug.h"
#endif

//========================================================================================
// RunTime Info
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment FWFrameworkContent
#endif

//========================================================================================
//	class FW_CContent
//========================================================================================

//----------------------------------------------------------------------------------------
//	FW_CContent constructor
//----------------------------------------------------------------------------------------

FW_CContent::FW_CContent(Environment* ev, FW_CPart* part) :
	fPart(part)
{
FW_UNUSED(ev);
}

//----------------------------------------------------------------------------------------
//	FW_CContent destructor
//----------------------------------------------------------------------------------------

FW_CContent::~FW_CContent()
{
}

//----------------------------------------------------------------------------------------
//	FW_CContent::CreateDataFrameShape
//----------------------------------------------------------------------------------------

ODShape* FW_CContent::CreateDataFrameShape(Environment* ev) const
{
FW_UNUSED(ev);
	return NULL;
}

//----------------------------------------------------------------------------------------
//	FW_CContent::ReleaseAll
//----------------------------------------------------------------------------------------

void FW_CContent::ReleaseAll(Environment* ev)
{
FW_UNUSED(ev);
}

//----------------------------------------------------------------------------------------
//	FW_CContent::Externalize
//----------------------------------------------------------------------------------------

void FW_CContent::Externalize(Environment* ev,
							ODStorageUnit* storageUnit,
							FW_EStorageKinds storageKind,
							FW_CCloneInfo* cloneInfo)
{
FW_UNUSED(ev);
FW_UNUSED(storageUnit);
FW_UNUSED(storageKind);
FW_UNUSED(cloneInfo);
	FW_DEBUG_MESSAGE("You need to override FW_CContent::Externalize");
}

//----------------------------------------------------------------------------------------
//	FW_CContent::Internalize
//----------------------------------------------------------------------------------------

FW_Boolean FW_CContent::Internalize(Environment* ev,
									ODStorageUnit* storageUnit, 
									FW_EStorageKinds storageKind,
									FW_CCloneInfo* cloneInfo)
{
FW_UNUSED(ev);
FW_UNUSED(storageUnit);
FW_UNUSED(storageKind);
FW_UNUSED(cloneInfo);
	FW_DEBUG_MESSAGE("You need to override FW_CContent::Internalize");
	return FALSE;
}
