//========================================================================================
//
//	File:				FWContng.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWCONTNG_H
#define FWCONTNG_H

#ifndef FWCONTNT_H
#include "FWContnt.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

class FW_CPart;
class FW_MProxy;
class FW_CEmbeddingFrame;

//========================================================================================
//	class FW_CEmbeddingContent
//========================================================================================

class FW_CEmbeddingContent : public FW_CContent
{
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:	
	FW_CEmbeddingContent(Environment* ev, FW_CPart* part);
	virtual ~FW_CEmbeddingContent();

//----------------------------------------------------------------------------------------
//	Externalize/Internalize
//
public:	
	virtual FW_MProxy*				IsDataOnlyOneProxy(Environment* ev) const = 0;
	
	virtual void					SingleEmbeddedFrameInternalized(Environment* ev,
														FW_CEmbeddingFrame* scopeFrame,
														ODPart* odEmbeddedPart, 
														ODFrame* odEmbeddedFrame,
														ODShape* suggestedShape,
														ODTypeToken viewType);
};


#endif
